## beancounter 0.5.1

=== debian/changelog ===
beancounter (0.5.1) unstable; urgency=low

  * setup_beancounter: Fill beancounter table with current version number 
    and current date right after the table is created. 
  * debian/rules: Making sure $version is updated in beancounter, 
    update_beancounter and setup_beancounter

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Mar 2002 19:38:57 -0600

beancounter (0.5.0) unstable; urgency=low

  * New release with the following new features:

    - New command 'retracement' to calculate drawdowns for the given data
      period -- these are defined as price decreases relative to the
      maximum price in the period. This can be seen as hypothetical
      unrealized losses relative to the would-coulda-shouda optimal selling
      price. Shorts are treated the other way relative to their lows.
   
    - New command 'advancement' which does the same for gains relative to lows.
  
    - Applied patch by Peter Kim <pykim@gte.net> so that 'update' now
      batches queries in round lots of one hundred symbols.
   
    - The backpopulate command is now idempotent too: it can now be run 
      even if data already exists and will use either 'insert' or 'update'
      as required.
  
    - The stockinfo table has a new column 'active' allowing to flag 
      inactive stocks (or e.g. expired options) with a 'false' value.
  
    - The database has a new table 'beancounter' with fields for the
      current version (to ensure code and database schema match) and
      the most recent update.
  
  * Detailed changes

    - BeanCounter.pm: Applied Peter's patch, pluse comments / indents

    - BeanCounter.pm: New function GetRetracementData

    - BeanCounter.pm: New function UpdateTimestamp

    - beancounter: New function portfolio_retracement
  
    - BeanCounter.pm: Rewrote DatabaseHistoricalData for idempotency
 
    - beancounter: Example now uses full example with purchase date / time
  
    - BeanCounter.pm: Rewrote SQL restriction for getting price data
  
    - Database scheme: New field 'active' to flag inactive stocks / options
  
    - BeanCounter.pm: Make use of 'active' field when retrieving data
  
    - BeanCounter.pm: Simpliefied API for ExistsDailyData()
  
    - setup_beancounter: Added creation of active field in stockinfo
  
    - update_beancounter: Idem
  
  * debian/control: Spelling correction (Closes: #124442)
  * debian/control: Upgraded to Standards-Version 3.5.0
 
 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  5 Mar 2002 22:06:51 -0600

beancounter (0.4.0) unstable; urgency=low

  * New release with the following new features

    - Support for MySQL has been added: beancounter can now work with both
      PostgreSQL and MySQL, including all steps up from the database creation

    - The update command's SQL query has been rewritten so that all stocks
      known to beancounter are updated, yet still allows the use of the
      --restriction option to specify only subsets of the portfolio

    - The update command is now idempotent: it can now be run several
      times during a trading day; the initial data set will be 'insert'ed,
      following ones 'update'd (this comes at the cost of an additional query)

    - Better support of old, expired or delisted stocks: unparseable
      dates, as well as dates that "too old" (where the current default 5
      business days) are set to N/A; and dates which test for N/A are neither
      scrubbed nor databased during the "update" command.
  
    - Database backend and database name can now be set as parameters which
      facilitates multiple databases and backends to be used in parallel
  
    - New (boolean) option --fxupdate which defauls to 'true', hence the
      use of --nofxupdate prevents any updates to the FX database

    - Database scheme change in stockprices table: column names changed to
      day_open, day_close, day_change for consistency (and MySQL gripes).
      Similarly, index becomes stockindex in the indices table. Hence, 
      users /upgrading from an older version/ must run update_beancounter.
  
  * Detailed changes:

    - [BeanCounter.pm] --verbose and --debug now passed to DBI connection
      for Warn and PrintError, respectively 

    - [BeanCounter.pm] New configuration options dbsystem and dbname,
      defaulting to PostgreSQL and beancounter

    - [BeanCounter.pm] Protect name with dbh->quote for DatabaseInfoData

    - [BeanCounter.pm] DatabaseUpdate has new SQL query with sub-select

    - [BeanCounter.pm] Several small code cleanups and documentation updates
  
    - [beancounter] New command-line options --dbsystem and --dbname
  
    - [beancounter] Several updates and extensions to the pod documentation

    - [setup_beancounter] Now with command-line options -m, -s dbname, -s

    - [setup_beancounter] Parallel code for MySQL db creations added

    - [setup_beancounter] Added manual page as POD document within

    - [update_beancounter] Added code for the database table transition

    - [update_beancounter] Added manual page as POD document within
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Oct 2001 20:57:05 -0500

beancounter (0.3.1) unstable; urgency=low

  * Bug fix release:

    - rewrote SQL queries using '--restriction arg' to allow for multiple
      portfolio restrictions to be imposed (BeanCounter.pm)

    - reflect change at Yahoo! Europe and convert quotes from ';' field
      seperator and ',' decimal point (BeanCounter.pm: GetQuote)

    - ensure that day_end_report is relative to previous day (beancounter)

    - add dbh->commit() after database updates (beancounter: add_index,
      add_portfolio; BeanCounter.pm: delete_stock)

  * Some other minor changes:

    - annualise returns if stock held > 1 year (beancounter: display_status)

    - make some functions more compact with selectcol_arrayref (BeanCounter.pm)

    - use dropdb(1) to delete database (requires PostgreSQL 7.*) (beancounter)


