=== debian/control ===
Source: beancounter
Section: misc
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.5.0
Build-Depends-Indep: debhelper (>= 3.0.0)

Package: beancounter
Architecture: all
Depends: ${perl:Depends}, libwww-perl, libhtml-parser-perl, libdate-manip-perl, libdbi-perl, libdbd-pg-perl, libdbd-odbc-perl, libstatistics-descriptive-perl, postgresql-client
Description: A stock portfolio performance monitoring tool
 This package provides beancounter, a tool to quantify gains and losses in
 stock portfolios, as well as the BeanCounter Perl module that underlies it. 
 Beancounter queries stock prices from Yahoo! Finance server(s) around the 
 globe and stores them in a relational database (using PostgreSQL) so
 that the data can be used for further analysis.  Canned performance reports
 are available.
