=== debian/rules ===
#! /usr/bin/make -f
#                                                       -*- makefile -*-
# debian/rules file for the Debian/GNU Linux beancounter package
# Copyright (C) 2001 by Dirk Eddelbuettel <edd@debian.org>

package	:= $(shell grep Package debian/control | sed 's/^Package: //')
version	:= $(shell head -1 debian/changelog | \
			perl -nle 'm/\S+\s+\((\S+)\)/ && print $$1')
debtmp	:= $(shell pwd)/debian/$(package)

srcdir  := /home/edd/progs/perl/beancounter
webdir  := /home/edd/www/code/beancounter

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=3

update:
	cp -af	$(srcdir)/BeanCounter.pm 	\
		$(srcdir)/beancounter 		\
		$(srcdir)/README 		\
		$(srcdir)/TODO	 		\
		$(srcdir)/THANKS 		\
		$(srcdir)/Makefile.PL 		\
		$(srcdir)/example.beancounterrc	\
		$(srcdir)/setup_beancounter	\
		$(srcdir)/update_beancounter		.

webdir:
	(cd ..; cp $(package)_$(version)_all.deb /tmp; \
		cd /tmp; \
		fakeroot alien -r $(package)_$(version)_all.deb; \
		fakeroot mv $(package)-$(version)-2.noarch.rpm \
			$(package)-$(version).noarch.rpm; \
		cd - ; \
		mv /tmp/$(package)-$(version).noarch.rpm . )
	cp -af  ../$(package)_$(version).tar.gz  \
		../$(package)_$(version)_all.deb \
		../$(package)-$(version).noarch.rpm \
		TODO				 \
	        debian/changelog		 \
		beancounter.html		 \
		BeanCounter.html		$(webdir)
	(cd $(webdir); \
		mv changelog ChangeLog;			\
		ln -sfv	$(package)_$(version).tar.gz 	\
			$(package)-current.tar.gz ;  	\
		ln -sfv	$(package)_$(version)_all.deb 	\
			$(package)-current.deb	;	\
		ln -sfv	$(package)-$(version).noarch.rpm \
			$(package)-current.rpm	;	\
		ln -sfv ChangeLog ChangeLog.txt	;	\
		ln -sfv TODO TODO.txt 			)

build: build-stamp
build-stamp:
	dh_testdir

        # update the $$version field in the perl code as well as in
        # the two support script
	perl -p -i -e \
		"s/version = \".*\";/version = \""$(version)"\";/" $(package)
	for i in setup_beancounter update_beancounter; do \
	   perl -p -i -e "s/VERSION='.*'/VERSION='"$(version)"'/" $$i; \
	done
        #$(PERL) Makefile.PL $(config)
	perl Makefile.PL INSTALLDIRS=vendor	
	pod2html --flush $(package) > $(package).html
	pod2html --flush BeanCounter.pm > BeanCounter.html
        #pod2man          $(package) > $(package).1
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp .html
	-test -f Makefile && $(MAKE) realclean
	-rm -f pod2html-itemcache pod2html-dircache
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
        #dh_installdirs		usr/bin usr/share/man/man1
        #dh_installdirs		usr/bin 
        #$(MAKE) 		prefix=$(debtmp)/usr pure_install
	$(MAKE) 		install PREFIX=$(debtmp)/usr
	dh_perl	
	dh_installdocs		THANKS TODO README README.Debian
	dh_installexamples	example.beancounterrc 
        #dh_installmenu
        #dh_installinit
        #dh_installcron
	dh_installmanpages	
        #dh_undocumented	setup_beancounter.1 update_beancounter.1
	dh_installchangelogs	
	dh_compress
	dh_fixperms
        #dh_suidregister
	dh_installdeb
	dh_gencontrol
        #dh_md5sums
	dh_builddeb

binary-arch: build

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
