=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.5.0
+Standards-Version: 3.5.8
 Build-Depends-Indep: debhelper (>= 3.0.0)
 
 Package: beancounter
 Architecture: all
-Depends: ${perl:Depends}, libwww-perl, libhtml-parser-perl, libdate-manip-perl, libdbi-perl, libdbd-pg-perl, libdbd-odbc-perl, libstatistics-descriptive-perl, postgresql-client
+Depends: ${perl:Depends}, libfinance-yahooquote-perl (>= 0.18), libdate-manip-perl, libdbi-perl, libdbd-pg-perl | libdbd-mysql-perl | libdbd-odbc-perl, libstatistics-descriptive-perl, postgresql-client | mysql-client
 Description: A stock portfolio performance monitoring tool
  This package provides beancounter, a tool to quantify gains and losses in
  stock portfolios, as well as the BeanCounter Perl module that underlies it.
