=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 			perl -nle 'm/\S+\s+\((\S+)\)/ && print $$1')
 debtmp	:= $(shell pwd)/debian/$(package)
 
-srcdir  := /home/edd/progs/perl/beancounter
+srcdir  := ../../progs/perl/beancounter
 webdir  := /home/edd/www/code/beancounter
 
 # Uncomment this to turn on verbose mode.
@@ -89,7 +89,7 @@
 	$(MAKE) 		install PREFIX=$(debtmp)/usr
 	dh_perl	
 	dh_installdocs		THANKS TODO README README.Debian
-	dh_installexamples	example.beancounterrc 
+	dh_installexamples	example.beancounterrc flip_symbol.sh
         #dh_installmenu
         #dh_installinit
         #dh_installcron
