=== debian/control ===
--- 
+++ 
@@ -13,5 +13,5 @@
  stock portfolios, as well as the BeanCounter Perl module that underlies it. 
  Beancounter queries stock prices from Yahoo! Finance server(s) around the 
  globe and stores them in a relational database (using PostgreSQL) so
- that the data can be used for further analysis.  Canned performance reports
- are available.
+ that the data can be used for further analysis.  Canned performance and
+ risk reports are available.
