## beancounter 0.7.5

=== debian/changelog ===
beancounter (0.7.5) unstable; urgency=low

  *  Bug fix release 
  
     - [beancounter]: Correct documentation of 'passwd' option for db 
       connection from 'password' to 'passwd'  (Closes: #255640)
     
     - [beancounter]: Add simple command 'checkdbconnection' that exits
       with testable error code if db connection can be opened + closed
  
     - [setup_beancounter]: Make use of 'checkdbconnection' test 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Jun 2004 18:23:45 -0500

beancounter (0.7.4) unstable; urgency=low

  *  Bug fix release with several contributed patches:
  
     - [BeanCounter.pm]: Added portfolio export function GetPortfolioData which
       will eventually be used by smtm and others, provided by Kevin Kim
  
     - [BeanCounter.pm]: Ensure proxy information is set, provided by Joao 
       Costa
  
     - [BeanCounter.pm]: Ensure data written to stockprices table has no NAs  
       good data should never be overwritten by bad data, also provided by 
       Joao Costa

     - [beancounter]: Historical data from non-US exchanges needs to be 
       retrieved in patches of 200, implemented in patch provided by 
       Matthew Jurgens

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  2 Jun 2004 21:19:52 -0500

beancounter (0.7.3) unstable; urgency=low

  * Bug fix release:

    - [BeanCounter.pm] For backpopulation of foreign exchange data, divide
      all data with dates past Dec 30, 2003, by a factor of 100.0 to account
      for Yahoo's change from a 'dollars' to 'cents' scale.
  
    - [BeanCounter.pm] For backpopulation of prices and fx series, skip over
      the newly added html comment line Yahoo! decided to throw in there. 
      Thanks to Robert A. Schmied for the heads-up on this.
  
    - [Makefile.PL] Be less restrictive and require onky DBI; as any one of  
      four DBD modules could be used, it makes no sense to impose on (Pg) on
      everybody.
  
    - [debian/rules] Integrated 'perl Makefile.PL; make dist' needed for
      proper CPAN uploads into the normal 'update' from the my sources

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  3 Apr 2004 09:52:11 -0600

beancounter (0.7.2) unstable; urgency=low

  * Bug fix release:

    - [BeanCounter.pm:] Scale FX data retrieved after 20040226 by a factor 
      of 100 to correct for Yahoo's move from dollars to cents. Initial 
      patch by Phil Homewood augmented with Date_Cmp() use.
  
    - README.non-gnu: small corrections by Robert A. Schmied
  
    - t/01base.t: Added simple and relatively meaningless test at the
      repeated request of the good folks at CPAN. Beancounter really needs
      and existing database to work with which we can't assume at build
      time, so the testing potential is somewhat limited. As we load the
      module, most of the (run-time) Depends now need to be in Build-Depends.
    - debian/control: Augmented Build-Depends accordingly
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  2 Mar 2004 21:22:44 -0600

beancounter (0.7.1) unstable; urgency=low

  * Bug fix release:

    - [BeanCounter.pm:] Don't return from GetConfig() when no per-user 
      config file is found but simply skip reading the file. 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  4 Feb 2004 22:59:57 -0600

beancounter (0.7.0) unstable; urgency=low

  * New release with the following new features:

    - [beancounter, BeanCounter.pm, setup_beancounter:] Added complete support
      for the SQLite database backend   
  
    - [README.non-gnu:] Documentation on beancounter installation and use
      on non-GNU standard systems (with emphasis on SUN Solaris) kindly
      contributed by Robert A. Schmied
  
    - [beancounter_schema_{postgresql,mysql,sqlite}.txt:] Include text dumps
      of database schema in case database has to be created manually
  
    - [beancounter_example.txt:] Full session log from setup_beancounter
      covering database creation, example data insertion, backpopulation
      and initial example reports
  
  * Enhancements and minor bug fixes tripped up mostly by the using SQLite 
  
    - [beancounter:] day_end_report() now uses explicit request for previous
      day's fx prices as opposed to the previous_close columns
  
    - [beancounter:] added support for SQLite in deletedb() and made 
      system() calls trigger a warning if deletion fails
  
    - [beancounter:] added advances and retracement reports to allreports
  
    - [BeanCounter.pm:] added support for SQLite in ConnectToDb()
  
    - [BeanCounter.pm:] corrected a few 'order by' in SQL join statement 
      by explicitly referring to table and symbol
  
    - [BeanCounter.pm:] normalized backpopulation and fxbackpopulation to
      insert data in %Y%m%d format in which we tend to retrieve and compare
  
    - [BeanCounter.pm:] use BeanCounter (not Beancounter) in POD docs
  
    - [README.Debian:] Updated throughout
      
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jan 2004 21:57:30 -0600
