=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 			perl -nle 'm/\S+\s+\((\S+)\)/ && print $$1')
 debtmp	:= $(shell pwd)/debian/$(package)
 
-srcdir  := ../../progs/perl/beancounter
+srcdir  := /home/edd/src/progs/perl/beancounter
 webdir  := /home/edd/www/code/beancounter
 
 host	:= $(shell hostname)
@@ -21,6 +21,8 @@
 	cp -af	$(srcdir)/BeanCounter.pm 			\
 		$(srcdir)/beancounter 				\
 		$(srcdir)/README 				\
+		$(srcdir)/README.Debian				\
+		$(srcdir)/README.non-gnu			\
 		$(srcdir)/TODO	 				\
 		$(srcdir)/THANKS 				\
 		$(srcdir)/Makefile.PL 				\
@@ -28,11 +30,28 @@
 		$(srcdir)/beancounter_example.txt 		\
 		$(srcdir)/beancounter_schema_postgresql.txt 	\
 		$(srcdir)/beancounter_schema_mysql.txt 		\
+		$(srcdir)/beancounter_schema_sqlite.txt 	\
 		$(srcdir)/setup_beancounter			\
-		$(srcdir)/update_beancounter			.
+		$(srcdir)/update_beancounter			\
+		$(srcdir)/t/					.
+
+        # update the $$version field in the perl code as well as in
+        # the two support scripts
+	perl -p -i -e \
+		"s/version = \".*\";/version = \""$(version)"\";/" $(package)
+	for i in setup_beancounter update_beancounter; do \
+	   perl -p -i -e "s/VERSION='.*'/VERSION='"$(version)"'/" $$i; \
+	done
+	perl -p -i -e \
+		"s/'VERSION'	\t=> '0.7.3'/'VERSION'\t\t=> '"$(version)"'/" \
+		Makefile.PL 
+	perl Makefile.PL
+	make dist
+	mv -v Finance-BeanCounter-$(version).tar.gz ..
 
 webdir:
 ifneq ($(host),sonny)
+		@echo "This needs to run on sonny"
 		false
 endif
 	(cd ..; cp $(package)_$(version)_all.deb /tmp; \
@@ -63,20 +82,13 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-
-        # update the $$version field in the perl code as well as in
-        # the two support script
-	perl -p -i -e \
-		"s/version = \".*\";/version = \""$(version)"\";/" $(package)
-	for i in setup_beancounter update_beancounter; do \
-	   perl -p -i -e "s/VERSION='.*'/VERSION='"$(version)"'/" $$i; \
-	done
         #$(PERL) Makefile.PL $(config)
 	perl Makefile.PL INSTALLDIRS=vendor	
 	pod2html --flush $(package) > $(package).html
 	pod2html --flush BeanCounter.pm > BeanCounter.html
         #pod2man          $(package) > $(package).1
 	$(MAKE)
+	$(MAKE) test
 	touch build-stamp
 
 clean:
@@ -96,10 +108,11 @@
         #$(MAKE) 		prefix=$(debtmp)/usr pure_install
 	$(MAKE) 		install PREFIX=$(debtmp)/usr
 	dh_perl	
-	dh_installdocs		THANKS TODO README README.Debian
+	dh_installdocs		THANKS TODO README README.Debian README.non-gnu
 	dh_installexamples	example.beancounterrc flip_symbol.sh 	\
 				beancounter_example.txt 		\
 				beancounter_schema_postgresql.txt 	\
+				beancounter_schema_sqlite.txt	 	\
 				beancounter_schema_mysql.txt 		
         #dh_installmenu
         #dh_installinit
