## beancounter 0.7.6

=== debian/changelog ===
beancounter (0.7.6) unstable; urgency=low

  *  Bug fix release 
  
     - [Makefile.PL]: Added dependency on Finance::YahooQuote which should
       have been added a long time ago -- thanks, CPAN Testers!
  
     - [setup_beancounter]: Fixed path to test version of beancounter
  
     - [contrib/getDiv]: Added contributed script by Joao Antunes Costa 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Jul 2004 22:42:48 -0500
