=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,28 @@
 #! /usr/bin/make -f
 #                                                       -*- makefile -*-
 # debian/rules file for the Debian/GNU Linux beancounter package
-# Copyright (C) 2001 - 2005 by Dirk Eddelbuettel <edd@debian.org>
+# Copyright (C) 2001 - 2006 by Dirk Eddelbuettel <edd@debian.org>
 
 package	:= $(shell grep Package debian/control | sed 's/^Package: //')
 version	:= $(shell head -1 debian/changelog | \
 			perl -nle 'm/\S+\s+\((\S+)\)/ && print $$1')
 debtmp	:= $(shell pwd)/debian/$(package)
 
-srcdir  := /home/edd/chibud/src/progs/perl/beancounter
+srcdir  := ../../../progs/perl/beancounter
 webdir  := /home/edd/www/code/beancounter
 
 host	:= $(shell hostname)
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=3
+export DH_COMPAT=5
+
 
 update:
+ifneq ($(host),chibud)
+		@echo "This needs to run on chibud"
+		false
+endif
 	cp -vaf	$(srcdir)/BeanCounter.pm 			\
 		$(srcdir)/beancounter 				\
 		$(srcdir)/README 				\
@@ -35,7 +40,9 @@
 		$(srcdir)/update_beancounter			\
 		$(srcdir)/contrib/				\
 		$(srcdir)/t/					.
+	@echo "********* Now run updatebuild on basebud"
 
+updatebuild:
         # update the $$version field in the perl code as well as in
         # the two support scripts
 	perl -p -i -e \
@@ -43,21 +50,19 @@
 	for i in setup_beancounter update_beancounter; do \
 	   perl -p -i -e "s/VERSION='.*'/VERSION='"$(version)"'/" $$i; \
 	done
-	make 
-
-perlrelease:
 	perl -p -i -e \
-		"s/'VERSION'	\t=> '\d.\d.\d'/'VERSION'\t\t=> '"$(version)"'/"\
+	   "s/'VERSION'	\t=> '\d.\d.\d'/'VERSION'\t\t=> '"$(version)"'/"\
 		Makefile.PL 
 	perl Makefile.PL
 	make dist
 	mv -v Finance-BeanCounter-$(version).tar.gz ..
 
-oldwebdir:
-ifneq ($(host),sonny)
-		@echo "This needs to run on sonny"
+webdir:
+ifneq ($(host),basebud)
+		@echo "This needs to run on basebud"
 		false
 endif
+	cp -vax /var/local/cache/pbuilder/result/$(package)_$(version)_all.deb ..
 	(cd ..; cp $(package)_$(version)_all.deb /tmp; \
 		cd /tmp; \
 		fakeroot alien -r $(package)_$(version)_all.deb; \
@@ -83,12 +88,11 @@
 		ln -sfv ChangeLog ChangeLog.txt	;	\
 		ln -sfv TODO TODO.txt 			)
 
-webdir:
-ifneq ($(host),basebud)
-		@echo "This needs to run on basebud"
+oldwebdir:
+ifneq ($(host),sonny)
+		@echo "This needs to run on sonny"
 		false
 endif
-	cp -vax /var/local/cache/pbuilder/result/$(package)_$(version)_all.deb ..
 	(cd ..; cp $(package)_$(version)_all.deb /tmp; \
 		cd /tmp; \
 		fakeroot alien -r $(package)_$(version)_all.deb; \
@@ -154,7 +158,7 @@
         #dh_installmenu
         #dh_installinit
         #dh_installcron
-	dh_installmanpages	
+	dh_installman	
         #dh_undocumented	setup_beancounter.1 update_beancounter.1
 	dh_installchangelogs	
 	dh_compress
