## beancounter 0.8.8

=== debian/changelog ===
beancounter (0.8.8) unstable; urgency=low

  * Minor bugfix releases:

    o [beancounter, BeanCounter.pm]: Add "approx" as third argument
      to the call of Delta_Format() which seems to be needed now 

  * debian/control: Standards-Version: increased to 3.7.2
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Oct 2007 22:24:56 -0500

beancounter (0.8.7) unstable; urgency=low

  * Minor bugfix releases:

    o [BeanCounter.pm]: Also adjust close for splits in backpopulation
  
    o [contrib/beancounter.spec]: New version contributed by Doug Laidlaw

  * debian/control: Standards-Version: increased to 3.7.0, no changes needed
    
 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  2 May 2006 22:04:13 -0500

beancounter (0.8.6) unstable; urgency=low

  * Minor bugfix releases:
  
    o [BeanCounter.pm]: Tolerate undef values in daily price updates
  
    o [BeanCounter.pm]: Allow host argument to be set from ~/.beancounterrc
  
    o [setup_beanconter,update_beancounter]: Make these bash scripts

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Mar 2006 21:29:56 -0600

beancounter (0.8.5) unstable; urgency=low

  * Minor update and fixes thanks to a set of excellent patches 
    contributed by Pieter du Preez:

    o [BeanCounter.pm, beancounter]: Call finish() on all DBI statement
      handles, and added some other Perl/SQL code improvement
  
    o [BeanCounter.pm, beancounter]: More undefined variable tests
    
    o [BeanCounter.pm]: Simplify and generalize DBI connection code

    o [BeanCounter.pm]: Improve representation of currency code mapping

    o [beancounter]: Correct second date in backpopulation example
  
    o [BeanCounter.pm]: Added checks for defined DBI statement handles 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Mar 2006 20:54:34 -0600

beancounter (0.8.4) unstable; urgency=low

  * Minor updates and fixes:

    o [BeanCounter.pm] Additional check against empty currency name.
  
    o [beancounter] New command 'host' to define hostname for database
      server on command-line (as well as via ~/.beancounterrc). 

    o [BeanCounter.pm] If hostname is equal to the default 'localhost',
      do not connect via tcp/ip to PostgreSQL or MySQL but just use 
      sockets. This may help new users who are unsure how to make 
      their database engines network-aware.
   
    o [beancounter] Advances/retracement display now in 79 columns.  
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Feb 2006 21:41:27 -0600

beancounter (0.8.3) unstable; urgency=low

  * Minor updates and fixes:

    o [beancounter] New command 'lspositions' for simple display
      of all positions, not aggregated.

    o [setup_beancounter] Volume column in stockprices table is now
      of type numeric; conversion has to be manual (i.e. dump data;
      recreate schema, reload data) as this is so tedious to code
      for all three backend. Also add SP500 index via symbol ^GSPC
      in example setup to use the volume column with data that 
      exceeds the storage of a four-byte int (the previosu choice).
  
    o [BeanCounter.pm] Allow market cap in trillions as sometimes
      seen (in error) for British stocks quotes in pence.
      Thanks to Robert A. Schmied for the patch.
  
    o [BeanCounter.pm] New function DatabaseHistoricalUCBFX
      for historical FX backpopulation via the service at the Sauder 
      School of UBC in Vancouver. New function GetFXDatum for a single
      FX data item.
    
    o [BeanCounter.pm] Renamed UpdateFXviaPACIFIC to UpdateFXviaUBC
  
    o [beancounter] Renamed switch --pacificfx to --ubcfx to select 
      UBC for FX backpopulation and daily updates
   
    o [BeanCounter.pm] Update currency codes for Yahoo! service (e.g,
      switching CAD's symbol from ^XAD to ^XAY), but still no backpopulation
      capabilities at Yahoo!, and not entirely satisfied with UBC's service
      either.
  
    o [BeanCounter.pm, beancounter] Minor variable renaming and cleanups.

    o [debian/control] Standard-Version: now 3.6.2
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Jan 2006 14:44:50 -0600
