=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.6.2
-Build-Depends-Indep: debhelper (>= 5.0.0), libdate-manip-perl, libstatistics-descriptive-perl, libfinance-yahooquote-perl, libdbi-perl
+Standards-Version: 3.7.2
+Build-Depends-Indep: libdate-manip-perl, libstatistics-descriptive-perl, libfinance-yahooquote-perl, libdbi-perl
+Build-Depends: debhelper (>= 5.0.0)
 
 Package: beancounter
 Architecture: all
